From 0131dd7d746ed4c1ecfc0ebd9ea5b168cf15c7f9 Mon Sep 17 00:00:00 2001
From: Jon Griffiths <jon_p_griffiths@yahoo.com>
Date: Wed, 2 Aug 2023 13:47:54 +1200
Subject: [PATCH] tests: fix test_transaction when built without swig support

---
 src/test/test_transaction.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/test/test_transaction.py b/src/test/test_transaction.py
index d8b36cdf6c064d8768407f61de61f9a665fc4fc9..b0d52ff29683fb956901070167e3ed1a1aae00b1 100644
--- a/src/test/test_transaction.py
+++ b/src/test/test_transaction.py
@@ -79,7 +79,7 @@ def test_serialization(self):
             # Check the transaction can be cloned without finalization data
             tx_nf, flag_nf = pointer(wally_tx()), 0x1
             self.assertEqual(WALLY_OK, wally_tx_clone_alloc(tx_out, flag_nf, tx_nf))
-            for i in range(wally_tx_get_num_inputs(tx_copy)[1]):
+            for i in range(tx_copy.contents.num_inputs):
                 wally_tx_set_input_script(tx_copy, i, None, 0)
                 wally_tx_set_input_witness(tx_copy, i, None)
             self.assertEqual(utf8(self.tx_serialize_hex(tx_copy)),
